import request from '@/utils/request'
import Qs from 'qs';

//获取通知列表
export function getNoticeList(params) {
	return request({
		url: '/mobile/messageNoticeApi/pageListShort',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取通知详情
export function getNoticeInfo(params) {
	return request({
		url: '/mobile/messageNoticeApi/detail',
		data: Qs.stringify(params),
		method: 'post',
	})
}
