import request from '../utils/request'
import Qs from 'qs';

//根据用户名和手机号查询人员信息
export function findByNameAndPhone(params) {
	return request({
		url: '/mobile/personInfoApi/findByNameAndPhone',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//验证验证码并登录
export function validateCode(params) {
	return request({
		url: '/mobile/personInfoApi/validateCode',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//用户注册提交信息
export function save(params) {
	return request({
		url: '/mobile/personInfoApi/save',
		data: Qs.stringify(params),
		method: 'post',
	})
}
